Skip to content

GET Security Config for Third Party Application.

POST
/api/config/namespaces/{namespace}/third_party_application/get_security_config
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/third_party_application/get_security_config \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "all_third_party_applications": {}, "namespace": "example", "third_party_applications_list": { "third_party_applications": [ "example" ] } }'

Fetch the corresponding Security Config for the given Third Party Application.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the Third Party Application for current request.

Media typeapplication/json
Get Security Config request

Request of GET Security Config Spec API.

object
all_third_party_applications
object
namespace
Namespace

Namespace of the Third Party Application for current request Required: YES.

string
>= 6 characters <= 1024 characters
third_party_applications_list
object
third_party_applications
third party applications

Required: YES.

Array<string>
>= 1 items <= 5 items
Examplegenerated
{
"all_third_party_applications": {},
"namespace": "example",
"third_party_applications_list": {
"third_party_applications": [
"example"
]
}
}

A successful response.

Media typeapplication/json
Get Security Config Response
object
api_protection
API Protection Configured

API version or group

Array<string>
app_firewall
App Firewall Configured

Configuration parameter for app firewall

Array<string>
app_firewall_per_route
App Firewall Configured Per Route

Configuration parameter for app firewall per route

Array<string>
bot_defense
Bot Defense Configured

Configuration parameter for bot defense

Array<string>
ddos_detection
DDOS Detection Configured

Configuration parameter for ddos detection

Array<string>
protected
Protected LoadBalancers Configured

Protection or security configuration

Array<string>
Examplegenerated
{
"api_protection": [
"example"
],
"app_firewall": [
"example"
],
"app_firewall_per_route": [
"example"
],
"bot_defense": [
"example"
],
"ddos_detection": [
"example"
],
"protected": [
"example"
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example